Returns the trainability status of a video.
HTTP request
GET https://youtube.googleapis.com/youtube/v3/videoTrainability
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
id |
The ID of the video to retrieve. |
Request body
The request body must be empty.
Response body
Specifies who is allowed to train on the video.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "videoId": string, "kind": string, "etag": string, "permitted": [ string ] } |
| Fields | |
|---|---|
video |
The ID of the video. |
kind |
Identifies what kind of resource this is. Value: the fixed string |
etag |
Etag of this resource. |
permitted[] |
Specifies who is allowed to train on the video. Valid values are:
|